using System.Runtime.CompilerServices;
using Microsoft.Xna.Framework;
using Syntriax.Engine.Core;

namespace Pong;

public static class EngineConverted
{
    [MethodImpl(MethodImplOptions.AggressiveInlining)]
    public static EngineTime ToEngineTime(this GameTime gameTime) => new(gameTime.TotalGameTime, gameTime.ElapsedGameTime);
}
